<!doctype html>
<html lang="ja">

<head>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@exampledev/new.css@1.1.2/new.min.css">
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12/dist/vue.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <style>
        #appleid-signin {
            width: 210px;
            height: 40px;
        }

        ::selection {
            background: #e3e3e3;
            color: #000;
        }
    </style>
</head>

<body>
    <h1>ログイン</h1>
    <p><button onclick="login('google')">Googleでログイン</button></p>
    <div id="appleid-signin" data-color="white" data-border="true" data-type="sign in">
    </div>

    <script type="text/javascript"
        src="https://appleid.cdn-apple.com/appleauth/static/jsapi/appleid/1/en_US/appleid.auth.js"></script>
    <script type="text/javascript">

        // ログイン処理
        const obj = location.search.substring(1).split('&').map((p) => p.split('=')).reduce((obj, e) => ({ ...obj, [e[0]]: e[1] }), {})
        const from = obj.from
        AppleID.auth.init({
            clientId: "me.8i9.kukaibot",
            scope: "email",
            redirectURI: "https://kukaibot.0px.io/login/apple/redirect",
            state: from
        });
    </script>
    <p>引き継ぎコードでログインした場合はここからはログインできません。開発者にお問い合わせください。</p>
    <script>
        function login(prov) {
            const obj = location.search.substring(1).split('&').map((p) => p.split('=')).reduce((obj, e) => ({ ...obj, [e[0]]: e[1] }), {})
            const from = obj.from
            if (prov === 'google') location.href = `/login/google?from=${from}`
        }
    </script>
</body>

</html>